class Vehicle
{
	vehicleID = null;
	
	constructor(vehicleID)
    {
        this.vehicleID = vehicleID;
    }
	
	function IsRoadVehicle();
	function IsRunningVehicle();
	function OnForeignRoad();
	function GetLocationTileID();
}

function Vehicle::IsRoadVehicle()
{
	return GSVehicle.GetState(this.vehicleID) == GSVehicle.VS_RUNNING;
}

function Vehicle::IsRunningVehicle()
{
	return GSVehicle.GetVehicleType(this.vehicleID) == GSVehicle.VT_ROAD;
}

function Vehicle::GetLocationTileID()
{
	return GSVehicle.GetLocation(this.vehicleID);
}